/*
 * Standard containers, std::vector, exercise 3.
 */
#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <iterator>
using namespace std;

int main()
{
   vector<string> cars{ istream_iterator<string>(cin), istream_iterator<string>() };

   sort(begin(cars), end(cars));

   char initial_letter = 'A';

   // for + iterator
   for (auto it = cars.cbegin(); it != cars.cend(); ++it)
   {
      if ((*it)[0] == initial_letter)
	 cout << *it << '\n';
   }

   // range based for
   for (const auto& car : cars)
   {
      if (car[0] == initial_letter)
	 cout << car << '\n';
   }

   return 0;
}
