/*
 * set-02.cc    Standard Library, std::set, exercise 2.
 */
#include <iostream>
#include <iterator>
#include <set>
using namespace std;

template<typename T> 
ostream& operator<<(ostream& os, const set<T>& s)
{
   copy(begin(s), end(s), ostream_iterator<T>(cout, "\n"));
   return os;
}

int main()
{
   set<string> s{ "foo", "bar", "gazonk", "foobar" };

   cout << s;

   return 0;
}
